using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RDH.PharmacyPlatform.Sync.Core
{
    internal class SyncNodeDAL : BaseDAL<SyncNode>
    {
        public SyncNodeDAL()
        {
            this.TableName = "T_Nodes";
            this.KeyColumnName = "Node_Id";
        }
        internal override Dictionary<string, string> InitMaps()
        {
            Dictionary<String, String> maps = new Dictionary<string, string>();
            maps.Add("Node_Id", "NodeId");
            maps.Add("Group_Name", "GroupName");
            maps.Add("Create_Time", "CreateTime");
            return maps;
        }
    }
}
